from SoSe24.algodat.foundation import AlgoDatArray, AlgoDatValue, read_int_sequence, read_int_sequence_limited
import matplotlib.pyplot as plt
import merge_sort as ms



if __name__ == "__main__":
    filename = "../../seq3.txt"
    dummy = read_int_sequence("../../seq3.txt")
    n = len(dummy)
    step = n // 100

    memory_values = []
    compare_values = []

    for right_end in range(1, n, step):
        AlgoDatValue.reset()
        z = read_int_sequence_limited(filename, right_end)
        storage = AlgoDatArray(z.size)
        ms.merge_sort(z, storage, 0, right_end-1)
        memory_values.append(AlgoDatValue.memory)
        compare_values.append(AlgoDatValue.compare)

    plt.plot(range(1, n, step), memory_values, 'b', label='Memory')
    plt.plot(range(1, n, step), compare_values, 'r', label='Compare')
    plt.legend()
    plt.show()
